package gate

import (
	"server/game"
	"server/hall"
	"server/login"
	"server/msg"
)

func init() {
	msg.Processor.SetRouter(&msg.ResLogin{}, login.ChanRPC)
	msg.Processor.SetRouter(&msg.ResGameInfo{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.ResJoinRoom{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.ResPlayerOptAction{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.ResHeartBeat{}, game.ChanRPC)
}
